package cd.casic.ci.process.api.process.pojo.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @author by mianbin
 * @Classname SubPipelineStartUpInfo
 * @Description TODO
 * @Date 2025/3/31 17:52
 */
@Data
@Schema(title = "构建模型-ID")
public class SubPipelineStartUpInfo {
    @Schema(title = "参数key值", required = true)
    private String key;
    @Schema(title = "key值是否可以更改", required = true)
    private boolean keyDisable;
    @Schema(title = "key值前端组件类型", required = true)
    private String keyType;
    @Schema(title = "key值获取方式", required = true)
    private String keyListType;
    @Schema(title = "key值获取路径", required = true)
    private String keyUrl;
    @Schema
    private List<String> keyUrlQuery;
    @Schema(title = "key值获取集合", required = true)
    private List<StartUpInfo> keyList;
    @Schema(title = "key值是否多选", required = true)
    private boolean keyMultiple;
    @Schema(title = "参数value值", required = true)
    private Object value;
    @Schema(title = "value值是否可以更改", required = true)
    private boolean valueDisable;
    @Schema(title = "value值前端组件类型", required = true)
    private String valueType;
    @Schema(title = "value值获取方式", required = true)
    private String valueListType;
    @Schema(title = "value值获取路径", required = true)
    private String valueUrl;
    @Schema
    private List<String> valueUrlQuery;
    @Schema(title = "value值获取集合", required = true)
    private List<StartUpInfo> valueList;
    @Schema(title = "value值是否多选", required = true)
    private boolean valueMultiple;
}
