package cd.casic.ci.process.api.process.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateInstancePage
 * @Date：2025/03/24 19:07
 * @Filename：TemplateInstancePage
 * @description：Todo
 */
@Data
public class TemplateInstancePage {
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "模板id", required = false)
    private String templateId;
    @Schema(title = "模板生成的流水线实例列表", required = false)
    private List<TemplatePipeline> instances;
    @Schema(title = "最新版本", required = false)
    private TemplateVersion latestVersion;
    @Schema(title = "数量", required = false)
    private Integer count;
    @Schema(title = "页数", required = false)
    private Integer page;
    @Schema(title = "每页数量", required = false)
    private Integer pageSize;
    @Schema(title = "是否有创建模板实例权限", required = false)
    private Boolean hasCreateTemplateInstancePerm;
}
