package cd.casic.ci.process.engine.scheduler.dateObject;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineSchedulingProperties
 * @Date: 2025/5/26 16:27
 * @Description:
 */

@Data
@TableName("pip_pipeline_scheduling_properties")
public class PipelineSchedulingProperties extends PipBaseElement {
    /**
     * 任务唯一标识
     */
    private String pipelineId;

    /**
     * 任务名称
     */
    private String pipelineName;

    /**
     * 定时表达式
     */
    private String cronExpression;

    /**
     * 执行状态
     */
    private String status;
}
