package cd.casic.pipeline.store.pojo.common;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "错误码信息")
public class ErrorCodeInfo {
    @Schema(title = "错误码")
    private Integer errorCode;
    
    @Schema(title = "中文简体描述信息")
    private String errorMsgZhCn = "";
    
    @Schema(title = "中文繁体描述信息")
    private String errorMsgZhTw;
    
    @Schema(title = "英文描述信息")
    private String errorMsgEn;
}