package cd.casic.pipeline.store.pojo.common.sensitive;

import cd.casic.pipeline.store.pojo.common.enums.ApiStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "敏感API审批请求体")
public class SensitiveApiApproveReq {
    @Schema(title = "敏感API ID", required = true)
    private String id;
    
    @Schema(title = "审批状态 PASS:通过，REFUSE:拒绝", required = true)
    private ApiStatusEnum apiStatus;
    
    @Schema(title = "审批信息", required = true)
    private String approveMsg;
}