package cd.casic.pipeline.store.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.ArrayList;

@Data
@Schema(title = "安装模板到项目请求报文")
public class InstallTemplateReq {
    @Schema(title = "项目标识", required = true)
    private ArrayList<String> projectCodeList;
    
    @Schema(title = "模板代码", required = true)
    private String templateCode;
}