package cd.casic.ci.common.pipeline.pojo.element.trigger;

import cd.casic.ci.common.pipeline.pojo.element.Element;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.experimental.Accessors;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.element.trigger
 * @Project：ops-pro
 * @name：RemoteTriggerElement
 * @Date：2025/03/27 10:01
 * @Filename：RemoteTriggerElement
 * @description：Todo
 */
@Accessors(chain = true)
@Schema(title = "远程触发触发")
public class RemoteTriggerElement extends Element {

    public static final String classType = "remoteTrigger";

    @Schema(title = "任务名称", required = true)
    private String name = "远程触发";

    @Schema(title = "id", required = false)
    private String id;

    @Schema(title = "状态", required = false)
    private String status;

    @Schema(title = "是否可跳过插件", required = false)
    private Boolean canElementSkip;

    @Schema(title = "远程触发token", required = true)
    private String remoteToken;

    @Override
    public String getClassType() {
        return classType;
    }
}
