package cd.casic.ci.common.pipeline.type;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.type
 * @Project：ops-pro
 * @name：DispatchRouteKeySuffix
 * @Date：2025/03/27 10:45
 * @Filename：DispatchRouteKeySuffix
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum DispatchRouteKeySuffix {
    DOCKER_VM(".docker.vm"),
    DOCKER_VM_DEMOTE(".docker.vm.demote"),
    KUBERNETES(".kubernetes"),
    KUBERNETES_DEMOTE(".kubernetes.demote"),
    PCG(".pcg.sumeru"),
    DEVCLOUD(".devcloud.public"),
    BCS(".bcs.public"),
    IDC(".idc.public"),
    GITCI(".gitci.public"),
    STREAM(".stream.docker"),
    STREAM_DEMOTE(".stream.docker.demote"),
    CODECC(".codecc.scan"),
    MACOS(".macos"),
    WINDOWS(".windows");

    private final String routeKeySuffix;
}
