package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@Schema(title = "CC节点信息")
public class CcNode {
    @Schema(title = "节点名称", required = true)
    private String name;

    @Schema(title = "固资编号", required = true)
    private String assetID;

    @Schema(title = "责任人", required = true)
    private String operator;

    @Schema(title = "备份责任人", required = true)
    private String bakOperator;

    @Schema(title = "节点IP", required = true)
    private String ip;

    @Schema(title = "显示IP", required = true)
    private String displayIp;

    @Schema(title = "Agent状态", required = true)
    private Boolean agentStatus;

    @Schema(title = "操作系统", required = true)
    private String osName;

} 