package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelinePermissions
 * @Date：2025/03/24 16:28
 * @Filename：PipelinePermissions
 * @description：Todo
 */
@Data
@Schema(title = "流水线-流水线权限")
public class PipelinePermissions {
    @Schema(title = "管理员权限", required = true)
    private Boolean canManage;
    @Schema(title = "删除权限", required = true)
    private Boolean canDelete;
    @Schema(title = "查看权限", required = true)
    private Boolean canView;
    @Schema(title = "编辑权限", required = true)
    private Boolean canEdit;
    @Schema(title = "执行权限", required = true)
    private Boolean canExecute;
    @Schema(title = "下载权限", required = true)
    private Boolean canDownload;
    @Schema(title = "分享权限", required = true)
    private Boolean canShare;
}
