package cd.casic.ci.process.api.process.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplatePipeline
 * @Date：2025/03/24 19:30
 * @Filename：TemplatePipeline
 * @description：Todo
 */
@Data
@Schema(title = "模板实例化的流水线")
public class TemplatePipeline {
    @Schema(title = "模板id", required = false)
    private String templateId;
    @Schema(title = "版本名称", required = false)
    private String versionName;
    @Schema(title = "版本", required = false)
    private long version;
    @Schema(title = "流水线id", required = false)
    private String pipelineId;
    @Schema(title = "流水线名称", required = false)
    private String pipelineName;
    @Schema(title = "更新时间", required = false)
    private long updateTime;
    @Schema(title = "是否有编辑权限", required = false)
    private boolean hasPermission;
    @Schema(title = "流水线模板状态", required = false)
    private TemplatePipelineStatus status;
    @Schema(title = "模板实例化错误信息", required = false)
    private String instanceErrorInfo;
}
