package cd.casic.ci.log.scm.dal.pojo.github;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;


@Data
@Schema(description = "获取tag返回模型")
public class GithubTag {

    @Schema(description = "远程调用")
    private String ref;

    @Schema(description = "节点id")
    private String nodeId;

    @Schema(description = "url地址")
    private String url;

    @Schema(description = "tag数据")
    private GithubObject tagObject;
}
