package cd.casic.pipeline.store.pojo.common;

import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "组件关联初始化项目信息")
public class StoreProjectInfo {
    @Schema(title = "组件负责人", required = true)
    private String userId;
    
    @Schema(title = "组件代码", required = true)
    private String storeCode;
    
    @Schema(title = "项目ID", required = true)
    private String projectId;
}