package cd.casic.pipeline.store.pojo.common.comment;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "用户评论信息")
public class StoreUserCommentInfo {
    @Schema(title = "是否已评论 true:是，false:否", required = true)
    private Boolean commentFlag;
    @Schema(title = "评论ID", required = false)
    private String commentId;
}