package cd.casic.pipeline.store.pojo.common.enums;

public enum ApiStatusEnum {
    WAIT, // 待审批
    PASS, // 审批通过
    REFUSE, // 审批拒绝
    CANCEL; // 取消

    public static ApiStatusEnum valueOfName(String name) {
        if (name == null) return null;
        switch (name) {
            case "WAIT": return WAIT;
            case "PASS": return PASS;
            case "REFUSE": return REFUSE;
            case "CANCEL": return CANCEL;
            default: return null;
        }
    }
}