package cd.casic.pipeline.store.pojo.template.enums;

import lombok.Getter;

@Getter
public enum TemplateRdTypeEnum {
    SELF_DEVELOPED(0), // 自研
    THIRD_PARTY(1); // 第三方

    private final int type;

    TemplateRdTypeEnum(int type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return String.valueOf(type);
    }

    public static String getTemplateRdType(int type) {
        switch (type) {
            case 0: return SELF_DEVELOPED.name();
            case 1: return THIRD_PARTY.name();
            default: return THIRD_PARTY.name();
        }
    }
}